summaryrefslogtreecommitdiff
path: root/dev-python/apsw
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-01 12:48:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-01 12:48:13 +0000
commitf813b3ece9c5f1d65320cee800a2a4a24430dabb (patch)
treee7c6eee4befb5c63f355c2cc0e7be319631af7f6 /dev-python/apsw
parenta704fe501e82384e1a39628a470d42cc0c861090 (diff)
downloadbaldeagleos-repo-f813b3ece9c5f1d65320cee800a2a4a24430dabb.tar.gz
baldeagleos-repo-f813b3ece9c5f1d65320cee800a2a4a24430dabb.tar.xz
baldeagleos-repo-f813b3ece9c5f1d65320cee800a2a4a24430dabb.zip
Adding metadata
Diffstat (limited to 'dev-python/apsw')
-rw-r--r--dev-python/apsw/Manifest1
-rw-r--r--dev-python/apsw/apsw-3.39.2.0.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index d281b36cd1fa..bd40c32c6402 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1 +1,2 @@
DIST apsw-3.38.5-r1.gh.tar.gz 338186 BLAKE2B 145e38d4057be498f85a655ad7a437ec19a895769f58505b4b99093be30e67498faf9572494009db8e20e6700fa5e514605af131d045a4e8bb41587b828f5a88 SHA512 58331ca2db993f87316a55075ee9c440d4bd6e985e8ca11079391bd9cc2a907271ffe5c21d66840e336cd9e6568f6134c8b8fa5d28bbc7c77a1dddd48e8b99b7
+DIST apsw-3.39.2.0.gh.tar.gz 345634 BLAKE2B 433455fdb0dbc6192bbb3ef47cc1d54faa310715b81312b999a84f90de61e5362e4af8d3a705816100381ae920283d84a50fb2e51308227eecf9de5b7166c4ac SHA512 4d3eb68d47cf8114e7823969277d0f42c4091632d4aeab61f66e91e99601b6a5286875515e860e27a2f736c943dad1657f5c47cbdd23a3d1479d3019bfd1c05b
diff --git a/dev-python/apsw/apsw-3.39.2.0.ebuild b/dev-python/apsw/apsw-3.39.2.0.ebuild
new file mode 100644
index 000000000000..5226e71aabbe
--- /dev/null
+++ b/dev-python/apsw/apsw-3.39.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+ https://github.com/rogerbinns/apsw/
+ https://pypi.org/project/apsw/
+"
+SRC_URI="
+ https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+ >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.6.20.1-fix_tests.patch"
+)
+
+python_compile() {
+ # Needed for e.g. bug #851741
+ distutils-r1_python_compile --enable=load_extension
+}
+
+python_test() {
+ esetup.py build_test_extension
+ "${EPYTHON}" tests.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}